in scala.util.automata
class BaseBerrySethi

abstract `class` BaseBerrySethi
  `extends` java.lang.Object
  `with` scala.ScalaObject

  this turns a regexp over A into a NondetWorkAutom over A using the celebrated position automata construction (also called Berry-Sethi or Glushkov)

Constructor Summary
| `def` this

Def Summary
`protected` | `def` compFirst ( r : BaseBerrySethi.this.lang.RegExp ) : scala.collection.immutable.Set[scala.Int] computes first( r ) for the word regexp r
`protected` | `def` compFollow ( r : scala.Seq[BaseBerrySethi.this.lang.RegExp] ) : scala.collection.immutable.Set[scala.Int]
`protected` | `def` compFollow1 ( fol1 : scala.collection.immutable.Set[scala.Int] , r : BaseBerrySethi.this.lang.RegExp ) : scala.collection.immutable.Set[scala.Int] returns the first set of an expression, setting the follow set along the way
`protected` | `def` compLast ( r : BaseBerrySethi.this.lang.RegExp ) : scala.collection.immutable.Set[scala.Int] computes last( r ) for the regexp r
| `def` lang : scala.util.regexp.Base
`protected` | `def` traverse ( r : BaseBerrySethi.this.lang.RegExp ) : scala.Unit returns "Sethi-length" of a pattern, creating the set of position along the way

Constructor Detail

`def` this

Def Detail

protected `def` compFirst ( r : BaseBerrySethi.this.lang.RegExp ) : scala.collection.immutable.Set[scala.Int]

  computes first( r ) for the word regexp r

protected `def` compFollow ( r : scala.Seq[BaseBerrySethi.this.lang.RegExp] ) : scala.collection.immutable.Set[scala.Int]

protected `def` compFollow1 ( fol1 : scala.collection.immutable.Set[scala.Int] , r : BaseBerrySethi.this.lang.RegExp ) : scala.collection.immutable.Set[scala.Int]

  returns the first set of an expression, setting the follow set along the way

protected `def` compLast ( r : BaseBerrySethi.this.lang.RegExp ) : scala.collection.immutable.Set[scala.Int]

  computes last( r ) for the regexp r

`def` lang : scala.util.regexp.Base

protected `def` traverse ( r : BaseBerrySethi.this.lang.RegExp ) : scala.Unit

  returns "Sethi-length" of a pattern, creating the set of position along the way